@model List<Pedido>
@{ Layout = "/Views/Shared/Layout.cshtml";}

<h1>Lista de Pedidos</h1>

<div>
    <form action="/pedido/search" method="post">
        <div class="form-group" style="margin-bottom: 10px;">
            <input type="text" name="pesquisa" class="form-control" placeholder="Pesquise aqui" />
        </div>
        <div style="margin-bottom: 15px;">
            <input type="submit" class="btn btn-primary" value="Buscar" />
            <input type="reset" class="btn btn-secondary" value="Limpar" onclick="redirect()" />
        </div>
        
    </form>
</div>

<table class="table table-hover">
    @foreach (Pedido p in Model)
    {
    <tr>
        
        <td>@p.IdPedido</td>
        <td>@p.Data</td>
        <td>@p.ClienteId</td>
        <td>@p.Funcionario</td>
        <td>@p.Valor</td>

        
        <td><a href="/pedido/details/@p.IdPedido" class="btn btn-info">Detalhes</a></td>
        <td><a href="/pedido/delete/@p.IdPedido" class="btn btn-danger">Apagar</a></td>
        <td><a href="/pedido/update/@p.IdPedido" class="btn btn-warning">Editar</a></td>
    </tr>
    } 
</table>

<a href="/pedido/create" class="btn btn-success">Adicionar</a>

<script>
    function redirect(){
        location.href="/pedido/index"
    }
</script>